package com.nbclass.szxgl.model;

import java.util.Date;
import javax.persistence.*;

@Table(name = "project_user")
public class ProjectUser {
    @Id
    private String id;

    /**
     * 关联的项目id
     */
    @Column(name = "_project_id")
    private String projectId;

    /**
     * 关联人类型,1:负责人，2:授权部门,3:授权人员
     */
    @Column(name = "_type")
    private Byte type;

    /**
     * 关联表id
     */
    @Column(name = "_table_id")
    private String tableId;

    /**
     * 创建时间
     */
    @Column(name = "_create_time")
    private Date createTime;

    /**
     * 修改时间
     */
    @Column(name = "_update_time")
    private Date updateTime;

    /**
     * @return id
     */
    public String getId() {
        return id;
    }

    /**
     * @param id
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * 获取关联的项目id
     *
     * @return _project_id - 关联的项目id
     */
    public String getProjectId() {
        return projectId;
    }

    /**
     * 设置关联的项目id
     *
     * @param projectId 关联的项目id
     */
    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    /**
     * 获取关联人类型,1:负责人，2:授权部门,3:授权人员
     *
     * @return _type - 关联人类型,1:负责人，2:授权部门,3:授权人员
     */
    public Byte getType() {
        return type;
    }

    /**
     * 设置关联人类型,1:负责人，2:授权部门,3:授权人员
     *
     * @param type 关联人类型,1:负责人，2:授权部门,3:授权人员
     */
    public void setType(Byte type) {
        this.type = type;
    }

    /**
     * 获取关联表id
     *
     * @return _table_id - 关联表id
     */
    public String getTableId() {
        return tableId;
    }

    /**
     * 设置关联表id
     *
     * @param tableId 关联表id
     */
    public void setTableId(String tableId) {
        this.tableId = tableId;
    }

    /**
     * 获取创建时间
     *
     * @return _create_time - 创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 设置创建时间
     *
     * @param createTime 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取修改时间
     *
     * @return _update_time - 修改时间
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * 设置修改时间
     *
     * @param updateTime 修改时间
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}